Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List variant prices by store group

Retrieves all prices for a product variant grouped by store groups and their associated markets.

GET/api/v1/{team_slug}/{app_slug}/products/{product_id}/variants/{variant_id}/prices
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
product_idstringrequired

Product ID

variant_idstringrequired

Variant ID

app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Responses
200

List of store groups with their associated prices and markets

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantStoreGroupWithPrices[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantStoreGroupWithPrices
created_atstring
idstring
namestring
pricesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPrice[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPrice
amount_cents_with_taxinteger
created_atstring
idstring
marketgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Market
Show properties
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
localestring
namestring
slugstring
updated_atstring | null
on_saleboolean
reference_price_with_taxinteger | null
sale_end_timestampstring | null
sale_price_with_taxinteger | null
sale_start_timestampstring | null
statusgithub_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatus
Allowed:activeinactivedraft
updated_atstring | null
slugstring
store_typestring
updated_atstring | null
successboolean
totalinteger
total_pagesinteger
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/products/string/variants/string/prices' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "created_at": "string",
      "id": "string",
      "name": "string",
      "prices": [
        {
          "amount_cents_with_tax": 0,
          "created_at": "string",
          "id": "string",
          "market": {
            "active": true,
            "country_codes": [
              "string"
            ],
            "created_at": "string",
            "currency_code": "string",
            "id": "string",
            "locale": "string",
            "name": "string",
            "slug": "string",
            "updated_at": "string"
          },
          "on_sale": true,
          "reference_price_with_tax": 0,
          "sale_end_timestamp": "string",
          "sale_price_with_tax": 0,
          "sale_start_timestamp": "string",
          "status": "active",
          "updated_at": "string"
        }
      ],
      "slug": "string",
      "store_type": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}